{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Aji - Story 9!!</title>
<style>
  .container{
    margin-top: 5%;
    vertical-align: center;
    text-align: center;
    padding:10px;
  }
  .trans {
    background-color:rgba(0, 0, 0, 0.25);
    border-radius : 10px;
  }
  .padd{
    padding:10px;
  }
  .btn-custom{
    background-color: rgba(17, 82, 180, 0.801);
    color:white;
    border-radius: 20px;
    min-width: 10%;
    font-weight: lighter;
    margin-top: 10px;
    font-size: larger;
  }
  .inputtype{
    outline : none !important;
    padding : 10px;
    border: 2px solid gray;
    border-radius: 4px;
    width : 20%; 
    padding : 10px;
    transition : 0.5s;
  }
  .inputtype:hover{
      width:30%;
  }
  .error{
    color : red;
    text-align: left; 
    margin-left : 40px;
    margin-right : 40px;
    margin-bottom:10px;
  }
 
</style>
{% endblock meta %}

{% block content %}
  <div class="container trans">
    <div class = "card card-custom">
        <h2 style = "font-weight: bolder; text-decoration: underline;">Register</h2><br>
        <form method = "POST", action = '/sign-up/'>
            {% csrf_token %}<br>
            {{form.username}}<br><br>
            {{form.email}}<br><br>
            {{form.password1}}<br><br>
            {{form.password2}}<br><br>
            <button type="submit" class="btn btn-custom">Sign Up</button><br><br>
        </form>
        <p>Already have an account ? <a href = "/login/">Login</a></p>
        <div class = "trans error">
            {% if form.errors %}
            <p>Error :</p>
            {{form.errors}}<br>
            {% endif %}
            
        </div>
    </div>
    
  </div>
{% endblock content %}